diff --git a/src/transports/utils/streamhdr.c b/src/transports/utils/streamhdr.c
index 42c3b98e..1ce1c052 100644
--- a/src/transports/utils/streamhdr.c
+++ b/src/transports/utils/streamhdr.c
@@ -262,7 +262,6 @@ static void nn_streamhdr_handler (struct nn_fsm *self, int src, int type,
         case NN_STREAMHDR_SRC_USOCK:
             /*  It's safe to ignore usock event when we are stopping, but there
                 is only a subset of events that are plausible. */
-            nn_assert (type == NN_USOCK_ERROR);
             return;
 
         case NN_STREAMHDR_SRC_TIMER:
